--- ./src/core/linux/SDL_evdev_capabilities.c.orig	2023-10-01 19:12:03.000000000 +0000
+++ ./src/core/linux/SDL_evdev_capabilities.c	2023-12-02 16:08:14.571510426 +0000
@@ -36,7 +36,7 @@
 #define KEY_ALS_TOGGLE 0x230
 #endif
 
-extern int
+extern SDL_UDEV_deviceclass
 SDL_EVDEV_GuessDeviceClass(const unsigned long bitmask_ev[NBITS(EV_MAX)],
                            const unsigned long bitmask_abs[NBITS(ABS_MAX)],
                            const unsigned long bitmask_key[NBITS(KEY_MAX)],
@@ -54,7 +54,7 @@
         { KEY_ALS_TOGGLE, BTN_TRIGGER_HAPPY }
     };
 
-    int devclass = 0;
+    SDL_UDEV_deviceclass devclass = 0;
     unsigned long keyboard_mask;
 
     /* X, Y, Z axes but no buttons probably means an accelerometer */
--- ./src/core/linux/SDL_evdev_capabilities.h.orig	2023-10-01 19:12:03.000000000 +0000
+++ ./src/core/linux/SDL_evdev_capabilities.h	2023-12-02 16:08:14.571510426 +0000
@@ -20,6 +20,7 @@
   3. This notice may not be removed or altered from any source distribution.
 */
 #include "../../SDL_internal.h"
+#include "SDL_udev.h"
 
 #ifndef SDL_evdev_capabilities_h_
 #define SDL_evdev_capabilities_h_
@@ -28,19 +29,6 @@
 
 #include <linux/input.h>
 
-/* A device can be any combination of these classes */
-typedef enum
-{
-    SDL_UDEV_DEVICE_UNKNOWN = 0x0000,
-    SDL_UDEV_DEVICE_MOUSE = 0x0001,
-    SDL_UDEV_DEVICE_KEYBOARD = 0x0002,
-    SDL_UDEV_DEVICE_JOYSTICK = 0x0004,
-    SDL_UDEV_DEVICE_SOUND = 0x0008,
-    SDL_UDEV_DEVICE_TOUCHSCREEN = 0x0010,
-    SDL_UDEV_DEVICE_ACCELEROMETER = 0x0020,
-    SDL_UDEV_DEVICE_TOUCHPAD = 0x0040
-} SDL_UDEV_deviceclass;
-
 #define BITS_PER_LONG        (sizeof(unsigned long) * 8)
 #define NBITS(x)             ((((x)-1) / BITS_PER_LONG) + 1)
 #define EVDEV_OFF(x)         ((x) % BITS_PER_LONG)
--- ./src/core/linux/SDL_udev.c.orig	2023-10-01 19:12:03.000000000 +0000
+++ ./src/core/linux/SDL_udev.c	2023-12-02 16:08:14.572510412 +0000
@@ -365,7 +365,7 @@
     }
 }
 
-static int guess_device_class(struct udev_device *dev)
+static SDL_UDEV_deviceclass guess_device_class(struct udev_device *dev)
 {
     struct udev_device *pdev;
     unsigned long bitmask_ev[NBITS(EV_MAX)];
@@ -398,7 +398,7 @@
 {
     const char *subsystem;
     const char *val = NULL;
-    int devclass = 0;
+    SDL_UDEV_deviceclass devclass = 0;
     const char *path;
     SDL_UDEV_CallbackList *item;
 
--- ./src/core/linux/SDL_udev.h.orig	2023-10-01 19:12:03.000000000 +0000
+++ ./src/core/linux/SDL_udev.h	2023-12-02 16:08:14.572510412 +0000
@@ -46,6 +46,22 @@
     SDL_UDEV_DEVICEREMOVED
 } SDL_UDEV_deviceevent;
 
+/**
+ *  Device class (can be any comination of these)
+ */
+
+typedef enum
+{
+    SDL_UDEV_DEVICE_UNKNOWN = 0x0000,
+    SDL_UDEV_DEVICE_MOUSE = 0x0001,
+    SDL_UDEV_DEVICE_KEYBOARD = 0x0002,
+    SDL_UDEV_DEVICE_JOYSTICK = 0x0004,
+    SDL_UDEV_DEVICE_SOUND = 0x0008,
+    SDL_UDEV_DEVICE_TOUCHSCREEN = 0x0010,
+    SDL_UDEV_DEVICE_ACCELEROMETER = 0x0020,
+    SDL_UDEV_DEVICE_TOUCHPAD = 0x0040
+} SDL_UDEV_deviceclass;
+
 typedef void (*SDL_UDEV_Callback)(SDL_UDEV_deviceevent udev_type, int udev_class, const char *devpath);
 
 typedef struct SDL_UDEV_CallbackList
